#!/usr/bin/python

# USAGE: translate_node_names.py po_files_location language node_list html_files_directory

import sys, re, gettext, glob, os

gettext.bindtextdomain ('lilypond_doc', sys.argv[1])
gettext.textdomain ('lilypond_doc')
_ = gettext.gettext
lang = gettext.translation('lilypond_doc', languages=[sys.argv[2]])
lang.install()

a = open (sys.argv[3], 'r')
node_list = re.findall ('^_\("([^"]*)"\)$', a.read(), re.M)
a.close()

filelist = glob.glob (os.path.join(sys.argv[4],'*.html'))

for file in filelist:
	f = open (file, 'r')
	content = f.read()
	f.close()
	for str in node_list:
		content = re.sub (str+'(?!\.html)', _(str), content)
	f = open (file, 'w')
	f.write (content)
	f.close()
